Bug 201516 - [MAINTAINER] ftp/filezilla: update to 3.12.0.2
Summary: [MAINTAINER] ftp/filezilla: update to 3.12.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-13 03:59 UTC by Matthew Rezny
Modified: 2015-07-15 12:44 UTC (History)
1 user (show)

See Also:


Attachments
ftp/filezilla update to 3.12.0.2 (2.09 KB, patch)
2015-07-13 04:00 UTC, Matthew Rezny
no flags Details | Diff
ftp/filezilla update to 3.12.0.2 (2.09 KB, patch)
2015-07-13 04:02 UTC, Matthew Rezny
rezny: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Rezny freebsd_committer 2015-07-13 03:59:57 UTC
Update Filezilla to 3.12.0.2. While doing so, properly set BROKEN to stop the pkg-fallout spam.

GCC started throwing Internal Complier Error with no change to this port. I had hoped somebody would fix GCC, but I take the addition of the BROKEN_FreeBSD_9 to mean that I shouldn't hold my breath for that. Since FreeBSD 8 got an extension on EoL, and there are platforms still using GCC for FreeBSD 10, mark BROKEN anywhere compler USES selects GCC. I have no interest in trying to fix GCC so long as it refuses to explain why it dies. I am sick and tired of being spammed about it.
Comment 1 Matthew Rezny freebsd_committer 2015-07-13 04:00:39 UTC
Created attachment 158679 [details]
ftp/filezilla update to 3.12.0.2
Comment 2 Matthew Rezny freebsd_committer 2015-07-13 04:02:58 UTC
Created attachment 158680 [details]
ftp/filezilla update to 3.12.0.2
Comment 3 Philip M. Gollucci freebsd_committer 2015-07-14 20:44:47 UTC
Take.
Comment 4 commit-hook freebsd_committer 2015-07-14 22:35:39 UTC
A commit references this bug:

Author: pgollucci
Date: Tue Jul 14 22:35:07 UTC 2015
New revision: 392105
URL: https://svnweb.freebsd.org/changeset/ports/392105

Log:
  ftp/filezilla: update 3.11.0.1 -> 3.12.0.2

  - Mark BROKEN w/ gcc

  PR:                  201516
  Submitted by:        matthew@reztek.cz (maintainer)

Changes:
  head/ftp/filezilla/Makefile
  head/ftp/filezilla/distinfo
  head/ftp/filezilla/pkg-plist
Comment 5 John Marino freebsd_committer 2015-07-15 05:42:21 UTC
filezilla builds fine with GCC (few hours old):
http://muscles.dragonflybsd.org/latest-builder-report/logs/filezilla-3.11.0.1.log

At best, it's GCC + FreeBSD

At least

.if ${CHOSEN_COMPILER_TYPE} == "gcc"
BROKEN=              GCC dies with Internal Compiler Error
.endif

needs to be changed to

.if ${OPSYS} == FreeBSD
.if ${CHOSEN_COMPILER_TYPE} == "gcc"
BROKEN=              GCC dies with Internal Compiler Error
.endif
.endif


This is basically a heads up since this commit broke a working platform, but I hope you agree to the change in principle.
Comment 7 Matthew Rezny freebsd_committer 2015-07-15 11:35:03 UTC
(In reply to John Marino from comment #5)

I'm sure FileZilla could build fine with GCC on some platforms, but the fact is that the default GCC in FreeBSD ports was broken over a month ago, GCC gives absolutely no output useful toward resolving the issue, and I'm tired of the pkg-fallout spam. Being that this is FreeBSD ports, checking that OS is FreeBSD is redundant. I strongly disagree with adding such useless fluff.

If you have another platform on which FileZilla is building with GCC, perhaps you could use that as a comparrison point to help resolve the FreeBSD GCC issue. The log on your alternate platform shows GCC5 was used. Does this build on your alternate platform if you use the same version of GCC that is current default in FreeBSD ports? Does this build on FreeBSD if GCC5 is forced?

Depending on the answers to those questions, we may be able to reach a better solution for all parties concerned, e.g. force higher GCC version or set broken if GCC selected and v5 isn't available. I would certainly like to see this port available to users of FreeBSD 9.x again, and I delayed marking BROKEN in hopes of a resolution to the GCC situation which affects a multitude of ports.
Comment 8 John Marino freebsd_committer 2015-07-15 11:42:49 UTC
"Being that this is FreeBSD ports, checking that OS is FreeBSD is redundant. I strongly disagree with adding such useless fluff."

I'm sorry you feel this way.
Ports supports DragonFly officially.

Phillip should not have approved the change; he missed the impacts.  This caused a regression on a supported port, so the change is bad -- especially given since clearly the assertion that filezilla can't be built by GCC is wrong.

Either the entire commit gets reverted or the OPSYS wrap comes back.  

I'm going to get explicit portmgr approval on this based on this (expected) response.
Comment 9 Matthew Rezny freebsd_committer 2015-07-15 12:08:28 UTC
(In reply to John Marino from comment #8)

I have never heard that FreeBSD ports officially supports DragonFly. I have asked for verification from a portmgr on that point. If that is true, then I shall be forced to drop maintainership. I only signed up to support the platform I use. I will NOT be supporting a platform that I do not wish to and actually cannot practically run.

The change committed as a result of this PR is correct in that is addresses the build issue on all platforms which are officially supported to the best of my knowledge. What was wrong was the prior commit that marked broken only on 9.x. That was incomplete, and I knew it, but nobody bothered to consult the maintainer before commiting.

Do NOT commit any further changes to this port until I have an official statement from portmgr regarding the supported platforms. If you need something to do in the meantime, test the build variations I suggested.
Comment 10 John Marino freebsd_committer 2015-07-15 12:15:56 UTC
You are only expected to test for FreeBSD, not DragonFly.

You are, however, not expected to intentionally break DragonFly.  By accident based on ignorance or lack of awareness, fine.  Intentionally based on malice, then go ahead and drop the port.  That's not fine.

You were politely informed that your commit did indeed break a working platform. You were not asked to anything, not even "approve" the fix.  

I will be happy to reset port maintainership though.  I am confident it will be picked up a responsible person.
Comment 11 Matthew Rezny freebsd_committer 2015-07-15 12:38:56 UTC
(In reply to John Marino from comment #10)

Your statements are inconsistent. If I am only expected to test for FreeBSD, then that is the only supported platform. If DragonFly is officially supported, it must be covered by testing as well.

I have yet to see any evidence that FreeBSD ports officially supports DragonFly. Quoting from https://www.freebsd.org/ports/

"The Ports Collection supports the latest release on the FreeBSD-CURRENT and FreeBSD-STABLE branches. Older releases are not supported and may or may not work correctly with an up-to-date ports collection. Over time, changes to the ports collection may rely on features that are not present in older releases. Wherever convenient, we try not to gratuitously break support for recent releases, but it is sometimes unavoidable. When this occurs, patches contributed by the user community to maintain support for older releases will usually be committed."

The official statement is that only current and stable branches of FreeBSD are supported, not even past releases much less DragonFly.

If you wish to be productive and help better FreeBSD ports, I welcome your cooperation. If not, please go busy yourself working on DragonFly instead of harassing those of us trying to contribute to FreeBSD.
Comment 12 John Marino freebsd_committer 2015-07-15 12:44:32 UTC
(In reply to matthew from comment #11)

You are not expected to test because there's no convenient testing platform for you, e.g. Redports with DragonFly back end.  When such a facility exists, more may be expected of maintainers.  Until then, we provide the missing support.

Please stop pretending to be a lawyer.  Ports do support DragonFly on a best effort basis and FreeBSD gets *PLENTY* of benefits for doing so.  Numerous benefits INCLUDING GCC SUPPORT.  The reason ports build well on modern GCC is that DragonFly makes it so -- otherwise nobody would test it.